Table of Contents

## Name

XtAddExposureToRegion - merge exposure events into a region

## Syntax

void XtAddExposureToRegion(event, region)
XEvent *event;
Region region;

## Arguments

event
  Specifies a pointer to the Expose or GraphicsExpose event.
region
  Specifies the region object (as defined in <X11/Xutil.h>).

## Description

The XtAddExposureToRegion function computes the union of the rectangle defined by the exposure event and the specified region. Then, it stores the results back in region. If the event argument is not an Expose or GraphicsExpose event, XtAddExposureToRegion returns without an error and without modifying region.

This function is used by the exposure compression mechanism (see Section 7.9.3).

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also